pkgconfigdir=$(libdir)/pkgconfig
libincludedir=$(includedir)/libisoburn

lib_LTLIBRARIES = libisoburn/libisoburn.la 

## ========================================================================= ##

# Build libraries
libisoburn_libisoburn_la_LDFLAGS = \
	-version-info $(LT_CURRENT):$(LT_REVISION):$(LT_AGE)
libisoburn_libisoburn_la_SOURCES = \
	libisoburn/burn_wrap.c \
	libisoburn/data_source.c \
	libisoburn/isoburn.c \
	libisoburn/isoburn.h \
	libisoburn/isofs_wrap.c \
	libisoburn/libisoburn.h \
	version.h

libinclude_HEADERS = \
	libisoburn/libisoburn.h 

## ========================================================================= ##


# This is the reference application of libisoburn. See man xorriso/xorriso.1
# 
bin_PROGRAMS = \
	xorriso/xorriso

xorriso_xorriso_CPPFLAGS = -Ilibisoburn
xorriso_xorriso_CFLAGS = -DXorriso_with_maiN -DXorriso_with_regeX $(READLINE_DEF)
xorriso_xorriso_LDADD = libisoburn/libisoburn.la -lisofs -lburn $(THREAD_LIBS)
xorriso_xorriso_SOURCES = \
	xorriso/xorriso.h \
	xorriso/xorriso_private.h \
	xorriso/xorriso.c \
	xorriso/xorrisoburn.h \
	xorriso/xorrisoburn.c \
	xorriso/xorriso_timestamp.h


## Build test applications
noinst_PROGRAMS = \
	test/compare_file

# A program to compare two files in mirrored trees in mounted filesystems
# To compare tree /media/dvd and /original/dir :
#   find /media/dvd -exec test/compare_file '{}' /media/dvd /original/dir ';'
#
test_compare_file_CPPFLAGS =
test_compare_file_CFLAGS =
test_compare_file_LDADD =
test_compare_file_SOURCES = test/compare_file.c

# ts A80110 - A80210 : we need as minimal demo something better than test.c 
#	test/test

# test_test_CPPFLAGS = -Ilibisofs -Ilibburn -Ilibisoburn
# test_test_LDADD = $(libisoburn_libisoburn_la_OBJECTS) $(THREAD_LIBS) -lburn -lisofs
# test_test_SOURCES = test/test.c 


## ========================================================================= ##

## Build documentation (You need Doxygen for this to work)
webhost = http://libburn-api.pykix.org
webpath = /
docdir = $(DESTDIR)$(prefix)/share/doc/$(PACKAGE)-$(VERSION)

doc:	doc/html

doc/html: doc/doxygen.conf
	if [ -f ./doc/doc.lock ]; then \
		$(RM) -r doc/html; \
		doxygen doc/doxygen.conf; \
	fi

doc-upload: doc/html
	scp -r $</* $(webhost):$(webpath)

all: doc

install-data-local: 
	if [ -f ./doc/doc.lock ]; then \
		$(mkinstalldirs) $(docdir)/html; \
		$(INSTALL_DATA) doc/html/* $(docdir)/html; \
	fi

uninstall-local:
	rm -rf $(docdir)

## ========================================================================= ##

# Indent source files
indent_files = \
	$(libisoburn_libisoburn_la_SOURCES)
	

indent: $(indent_files)
	indent -bad -bap -nbbb -nbbo -nbc -bli0 -br -bls   \
		-cdw -ce -cli0 -ncs -nbfda -i8 -l79 -lc79   \
		-lp -saf -sai -nprs -npsl -saw -sob -ss -ut \
		-sbi0 -nsc -ts8 -npcs -ncdb -fca            \
		$^

.PHONY: indent

## ========================================================================= ##

# Extra things
nodist_pkgconfig_DATA = \
	libisoburn-1.pc

man_MANS = xorriso/xorriso.1

EXTRA_DIST = \
	libisoburn-1.pc.in \
	version.h.in \
	README \
	AUTHORS \
	CONTRIBUTORS \
	COPYRIGHT \
	COPYING \
	INSTALL \
	xorriso/changelog.txt \
	xorriso/README \
	$(man_MANS)

